import {
	WeaTools
} from 'ecCom'

export const getRight = (params) => {
	return WeaTools.callApi('/api/hrm/finance/compensation/getHasRight', 'GET', params);
}

export const getButtonsMenu = (params) => {
	return WeaTools.callApi('/api/hrm/finance/compensation/getButtonMenu', 'POST', params);
}

export const getTableInfo = (params) => {
	return WeaTools.callApi('/api/hrm/finance/compensation/getCompensationTargetSetList', 'POST', params);
}

export const getSearchCondition = (params) => {
	return WeaTools.callApi('/api/hrm/finance/compensation/getCompensationTargetSetCondition', 'GET', params);
}

export const getEditorForm = (params) => {
	return WeaTools.callApi('/api/hrm/finance/compensation/getCompensationTargetSetForm?is_multilang_set=true', 'POST', params);
}

export const deleteTableRows = (params) => {
	return WeaTools.callApi('/api/hrm/finance/compensation/delCompensationTargetSet', 'POST', params);
}

export const add = (params) => {
	return WeaTools.callApi('/api/hrm/finance/compensation/addCompensationTargetSet', 'POST', params);
}

export const edit = (params) => {
	return WeaTools.callApi('/api/hrm/finance/compensation/editCompensationTargetSet', 'POST', params);
}